Subject: DFT and ECP. Summary

From: [email-masked] (Georg Schreckenbach)
Date: Thu, 20 Feb 1997 14:43:46 -0700 (MST)

On Wednesday, I posted a question about the use of effective
core potentials within DFT. A got a number of replies: special
thanks to everybody who answered. This is my summary. If
anybody wants to comment further on the matter, please do so!

Yours, Georg
=======================================================
Original question:

I was thinking about the use of effective core potentials
(ECPs, also called pseudopotentials -- I had posted a
question and summary about the difference between
these two terms a while ago in the CCL), and their
application in density functional theory (DFT).

   Specifically, the usual ECPs are derived using
Hartree-Fock (HF) type methods. Recently, one can see
them being used in DFT applications, appareantly with
success (e.g., Martin Kaupp's work). On a purely
theoretical ground, however, one would assume that
ECPs for DFT should be derived with a DFT based
method. This could be pushed even further by making
a separate ECP for each new functional in DFT.
   Has anybody done something like this? Are there any
real, practical differences between HF-derived and DFT-derived
ECPs when they are applied in DFT calculations
(what does this do for geometries, energetics etc.)?

   I would appreciate references, but also any kind
of experience, published or unpublished. I will
summarize to the list if I get any answers.

=======================================================
And the answers:

From: Karl Irikura <[email-masked]>

ON THE USE OF COMMON EFFECTIVE CORE POTENTIALS IN DENSITY-FUNCTIONAL
CALCULATIONS .1. TEST CALCULATIONS ON TRANSITION-METAL CARBONYLS
Vanwullen-C INTERNATIONAL JOURNAL OF QUANTUM CHEMISTRY 58 (2) : pp147-152

EFFECTIVE CORE POTENTIALS FOR DFT CALCULATIONS
Russo-TV Martin-RL Hay-PJ JOURNAL OF PHYSICAL CHEMISTRY 99 (47) :
pp17085-17087

Good luck!

Karl Irikura
----------------------------------------------
Dr. Karl K. Irikura
Physical and Chemical Properties Division
National Institute of Standards and Technology
Gaithersburg, MD  20899
voice: 301-975-2510     fax: 301-975-3670
e-mail: [email-masked]
----------------------------------------------

=======================================================
[Comment by G.S.: I had forgotten to put the paper by Russo/
Hay/Martin into the question ... ]
=======================================================

From: [email-masked]

>    Has anybody done something like this?

        Yes, to my limited knowledge, at least Hay et. al. has done this
sometime ago. I don't remember the exact reference, somewhere in JCP(or
JPC, sorry!) '96 or '95. Search for author index. Roughly their results
showed that original ECP still give quite reliable results when used with
DFT. Yet indeed, they found some strange behavior as well. I don't know if
any people has persued the issue systematically later on, but I guess it's
certainly worth doing, since DFT stuff are more and more popular in
transition metal studies.

        Hope this is helpful somehow. Good luck.

______________________________________________________________

Qiang Cui
Dept. of Chem. Emory Univ.         508 Webster Dr. Apt.#2
Atlanta, GA 30322.                 Decatur, GA 30033.
(404)-727-2381                     (404)-636-6149

http://tswww.cc.emory.edu/~qcui
______________________________________________________________
=======================================================

From: "Dr. Heinz Schiffer" <[email-masked]>

Hi George,
everyone in the plane wave community does exactly that: create for
each exchange-correlation functional your own pseudopotential. See,
e.g.:

S. Goedecker, M. Teter, J. Hutter
Separable dual-space Gaussian pseudopotentials
Phys. Rev. B, 54(3) (1996) 1703-1710

N. Troullier and Jose Luis Martins
Efficient pseudopotentials for plane-wave calculations
Phys. Rev. B, 43(3) (1991) 1993-2006

G. B. Bachelet, D. R. Hamann, and M. Schlueter
Pseudopotentials that work: From H to Pu
Phys. Rev. B., 26(8) (1982) 4199-4228

Recently, Christoph van Wuellen in Kutzelniggs group published a paper
about the use of common ECPs for DFT calculations with Gaussian basis
sets :

Christoph van Wuellen
On the use of common effective cor potentials in density functional
calculations. I. Test calculations on transition-metal carbonyls
Int. J. Quantum Chem. 58(2) (1996) 147-52

I think the main conclusion was, that those ECPs work just fine !

Cheers,
Heinz
--
Dr. Heinz Schiffer              Phone   ++49-69-305-2330
Hoechst CR&T                    Fax     ++49-69-305-81162
Scientific Computing, G864      Email   [email-masked]
65926 Frankfurt am Main                 [email-masked]

=======================================================
From: [email-masked]

Salahub's group at U. of Montreal has a set of ECP's for deMon.

Regards,

John

--

John M. McKelvey                        email: [email-masked]
Computational Science Laboratory        phone: (716) 477-3335
2nd Floor, Bldg 83, RL
Eastman Kodak Company
Rochester, NY 14650-2216
=======================================================

From: [email-masked] (Martin Kaupp)

Your question touches the transferability of ECPs derived at
different computational levels (e.g. HF, different DFT variants,
one may even think of CI approaches etc....). The general answer
from our experience is that this depends on the ECP core sizes you
employ (M. Kaupp, H.-J. Flad, A. K\"oster, H. Stoll, D. R. Salahub,
unpublished results). We never got around to publish these test
studies but hopefully will do so eventually....

For small core sizes typical for transition metal species, this transferability
is essentially perfect. Apart from our own work in the context of NMR
calculations, this has also been found by other authors, see e.g.:
C. van W\"ullen Int. J. Quant. Chem., 1996, 58, 147.
T. V. Russo, R. L. Martin, P. J. Hay J. Phys. Chem. 1995, 99, 17085.
Many others have already used HF-derived ECPs in their DFT studies without
even worrying about transferability. The main point in our experience is
that electron correlation apparently does not affect the sizes of lower core
shells very much (it may do so however for outer semi-core shells, cf. below).

For larger core sizes (e.g. Ga+3, Zn+2, Na+1), we find that transferability
starts to deteriorate. However, this is hardly surprising, as in post-HF
calculations one gets problems at about the same point.

With respect to deriving ECPs from DFT fits using different functionals,
I know this is pursued by several groups in the solid-state community,
usually in the context of plane wave basis sets. I don't have references at
hand, unfortunately. However, the transferability between different DFT
variants for a given core size should be even superior to HF->DFT or vice
versa.

Viele Gruesse,
Martin

------------------------------------------------------------------
| Dr. Martin Kaupp                                               |
| Max-Planck-Institut fuer Festkoerperforschung,                 |
| Heisenbergstrasse 1, D-70569 Stuttgart, Germany,               |
| Tel.: country-code+711/689-1532                                |
| Fax.: country-code+711/689-1562                                |
| email: [email-masked]                       |
|                                                                |
| and Institut fuer Theoretische Chemie, Universitaet Stuttgart, |
| Pfaffenwaldring 55, D-70569 Stuttgart, Germany                 |
| Tel.: country-code+711/685-4408                                |
| Fax.: country-code+711/685-4442                                |
| http://www.theochem.uni-stuttgart.de/~kaupp/                   |
| email: [email-masked]                         |
------------------------------------------------------------------
=======================================================
End of summary
=======================================================

--
+---------------------------------------------------------------------+
| Dr. Georg Schreckenbach              Tel:     (USA)-505-667 7605    |
| Theoretical Chemistry T-12           FAX:     (USA)-505-665 3909    |
| M.S. B268                            E-mail:  [email-masked] |
| Los Alamos National Laboratory, Los Alamos, New Mexico, 87545, USA  |
+---------------------------------------------------------------------+